rem   *** validation ***
call scripts\run-validator-tests.bat
call scripts\run-checker-tests.bat

rem    *** tests ***
md tests
call scripts\gen-input-via-stdout.bat "files\MaxNumberGen.exe 101 10 20 9" "tests\34" 34
call scripts\gen-input-via-stdout.bat "files\MaxNumberGen.exe 102 20 11 8" "tests\35" 35
call scripts\gen-input-via-stdout.bat "files\MaxNumberGen.exe 103 33 27 7" "tests\36" 36
call scripts\gen-input-via-stdout.bat "files\MaxNumberGen.exe 104 40 40 6 100" "tests\37" 37
call scripts\gen-input-via-stdout.bat "files\MaxNumberGen.exe 105 50 50 5 98" "tests\38" 38
call scripts\gen-input-via-stdout.bat "files\MaxNumberGen.exe 106 62 31 4" "tests\39" 39
call scripts\gen-input-via-stdout.bat "files\MaxNumberGen.exe 107 3 69 3" "tests\40" 40
call scripts\gen-input-via-stdout.bat "files\MaxNumberGen.exe 108 77 78 2" "tests\41" 41
call scripts\gen-input-via-stdout.bat "files\MaxNumberGen.exe 109 80 80 1 1" "tests\42" 42
call scripts\gen-input-via-stdout.bat "files\MaxNumberGen.exe 110 99 1 9" "tests\43" 43
call scripts\gen-input-via-stdout.bat "files\MaxNumberGen.exe 111 1 99 9" "tests\44" 44
call scripts\gen-input-via-stdout.bat "files\MaxNumberGen.exe 112 100 1 9" "tests\45" 45
call scripts\gen-input-via-stdout.bat "files\MaxNumberGen.exe 113 1 100 9" "tests\46" 46
call scripts\gen-input-via-stdout.bat "files\MaxNumberGen.exe 114 99 99 9" "tests\47" 47
call scripts\gen-input-via-stdout.bat "files\MaxNumberGen.exe 115 99 99 9" "tests\48" 48
call scripts\gen-input-via-stdout.bat "files\MaxNumberGen.exe 116 100 100 9" "tests\49" 49
call scripts\gen-input-via-stdout.bat "files\MaxNumberGen.exe 117 100 100 9" "tests\50" 50
call scripts\gen-input-via-stdout.bat "files\MaxNumberGen.exe 118 99 99 9 100" "tests\51" 51
call scripts\gen-input-via-stdout.bat "files\MaxNumberGen.exe 119 100 100 9 100" "tests\52" 52
call scripts\gen-input-via-stdout.bat "files\MaxNumberGen.exe 120 99 99 9 99" "tests\53" 53
call scripts\gen-input-via-stdout.bat "files\MaxNumberGen.exe 121 100 100 9 99" "tests\54" 54
call scripts\gen-input-via-stdout.bat "files\MaxNumberGen.exe 118 99 99 5 100" "tests\55" 55
call scripts\gen-input-via-stdout.bat "files\MaxNumberGen.exe 119 100 100 5 100" "tests\56" 56
call scripts\gen-input-via-stdout.bat "files\MaxNumberGen.exe 120 99 99 5 99" "tests\57" 57
call scripts\gen-input-via-stdout.bat "files\MaxNumberGen.exe 121 100 100 5 99" "tests\58" 58
call scripts\gen-input-via-stdout.bat "files\MaxNumberGen.exe 122 99 100 1 100" "tests\59" 59
call scripts\gen-input-via-stdout.bat "files\MaxNumberGen.exe 123 100 100 1 100" "tests\60" 60
call scripts\gen-input-via-stdout.bat "files\MaxNumberGen.exe 124 100 99 1 99" "tests\61" 61
call scripts\gen-input-via-stdout.bat "files\MaxNumberGen.exe 125 100 100 1 99" "tests\62" 62
call scripts\gen-input-via-stdout.bat "files\MaxNumberGen.exe 126 100 100 8" "tests\63" 63
call scripts\gen-answer.bat tests\01 tests\01.a "tests" "samples"
call scripts\gen-answer.bat tests\02 tests\02.a "tests" "task1"
call scripts\gen-answer.bat tests\03 tests\03.a "tests" "task1"
call scripts\gen-answer.bat tests\04 tests\04.a "tests" "task1"
call scripts\gen-answer.bat tests\05 tests\05.a "tests" "task1"
call scripts\gen-answer.bat tests\06 tests\06.a "tests" "task1"
call scripts\gen-answer.bat tests\07 tests\07.a "tests" "task1"
call scripts\gen-answer.bat tests\08 tests\08.a "tests" "task1"
call scripts\gen-answer.bat tests\09 tests\09.a "tests" "task1"
call scripts\gen-answer.bat tests\10 tests\10.a "tests" "task1"
call scripts\gen-answer.bat tests\11 tests\11.a "tests" "task1"
call scripts\gen-answer.bat tests\12 tests\12.a "tests" "task1"
call scripts\gen-answer.bat tests\13 tests\13.a "tests" "task1"
call scripts\gen-answer.bat tests\14 tests\14.a "tests" "task1"
call scripts\gen-answer.bat tests\15 tests\15.a "tests" "task1"
call scripts\gen-answer.bat tests\16 tests\16.a "tests" "task1"
call scripts\gen-answer.bat tests\17 tests\17.a "tests" "task1"
call scripts\gen-answer.bat tests\18 tests\18.a "tests" "task1"
call scripts\gen-answer.bat tests\19 tests\19.a "tests" "task1"
call scripts\gen-answer.bat tests\20 tests\20.a "tests" "task1"
call scripts\gen-answer.bat tests\21 tests\21.a "tests" "task1"
call scripts\gen-answer.bat tests\22 tests\22.a "tests" "task1"
call scripts\gen-answer.bat tests\23 tests\23.a "tests" "task1"
call scripts\gen-answer.bat tests\24 tests\24.a "tests" "task1"
call scripts\gen-answer.bat tests\25 tests\25.a "tests" "task1"
call scripts\gen-answer.bat tests\26 tests\26.a "tests" "task1"
call scripts\gen-answer.bat tests\27 tests\27.a "tests" "task1"
call scripts\gen-answer.bat tests\28 tests\28.a "tests" "task1"
call scripts\gen-answer.bat tests\29 tests\29.a "tests" "task1"
call scripts\gen-answer.bat tests\30 tests\30.a "tests" "task1"
call scripts\gen-answer.bat tests\31 tests\31.a "tests" "task1"
call scripts\gen-answer.bat tests\32 tests\32.a "tests" "task1"
call scripts\gen-answer.bat tests\33 tests\33.a "tests" "task1"
call scripts\gen-answer.bat tests\34 tests\34.a "tests" "task2"
call scripts\gen-answer.bat tests\35 tests\35.a "tests" "task2"
call scripts\gen-answer.bat tests\36 tests\36.a "tests" "task2"
call scripts\gen-answer.bat tests\37 tests\37.a "tests" "task2"
call scripts\gen-answer.bat tests\38 tests\38.a "tests" "task2"
call scripts\gen-answer.bat tests\39 tests\39.a "tests" "task2"
call scripts\gen-answer.bat tests\40 tests\40.a "tests" "task2"
call scripts\gen-answer.bat tests\41 tests\41.a "tests" "task2"
call scripts\gen-answer.bat tests\42 tests\42.a "tests" "task2"
call scripts\gen-answer.bat tests\43 tests\43.a "tests" "task2"
call scripts\gen-answer.bat tests\44 tests\44.a "tests" "task2"
call scripts\gen-answer.bat tests\45 tests\45.a "tests" "task2"
call scripts\gen-answer.bat tests\46 tests\46.a "tests" "task2"
call scripts\gen-answer.bat tests\47 tests\47.a "tests" "task2"
call scripts\gen-answer.bat tests\48 tests\48.a "tests" "task2"
call scripts\gen-answer.bat tests\49 tests\49.a "tests" "task2"
call scripts\gen-answer.bat tests\50 tests\50.a "tests" "task2"
call scripts\gen-answer.bat tests\51 tests\51.a "tests" "task2"
call scripts\gen-answer.bat tests\52 tests\52.a "tests" "task2"
call scripts\gen-answer.bat tests\53 tests\53.a "tests" "task2"
call scripts\gen-answer.bat tests\54 tests\54.a "tests" "task2"
call scripts\gen-answer.bat tests\55 tests\55.a "tests" "task2"
call scripts\gen-answer.bat tests\56 tests\56.a "tests" "task2"
call scripts\gen-answer.bat tests\57 tests\57.a "tests" "task2"
call scripts\gen-answer.bat tests\58 tests\58.a "tests" "task2"
call scripts\gen-answer.bat tests\59 tests\59.a "tests" "task2"
call scripts\gen-answer.bat tests\60 tests\60.a "tests" "task2"
call scripts\gen-answer.bat tests\61 tests\61.a "tests" "task2"
call scripts\gen-answer.bat tests\62 tests\62.a "tests" "task2"
call scripts\gen-answer.bat tests\63 tests\63.a "tests" "task2"

